# VecPackGetGlobalIndices

Gets the global indices for all the entries in the packed vectors.

### Synopsis

    #include "petscda.h"
    #include "petscmat.h"
    PetscErrorCode VecPackGetGlobalIndices(VecPack packer,...)

Collective on VecPack

### Input Parameter

packer -the packer object

### Output Parameters

idx -the individual indices for each packed vector/array

### Notes

The idx parameters should be freed by the calling routine with PetscFree()

### See Also

VecPackDestroy(), VecPackAddArray(), VecPackAddDA(), VecPackCreateGlobalVector(),
VecPackGather(), VecPackCreate(), VecPackGetAccess(), VecPackGetLocalVectors(), VecPackRestoreLocalVectors()

Level:advanced
Location:src/dm/da/utils/pack.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages